Bug 107471 - Don't overlap test for composited scroll DIVs after scroll
Summary: Don't overlap test for composited scroll DIVs after scroll
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Glenn Hartmann
URL:
Keywords:
Depends on: 106142
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-21 12:52 PST by Glenn Hartmann
Modified: 2013-01-29 09:05 PST (History)
9 users (show)

See Also:


Attachments
Patch (50.66 KB, patch)
2013-01-21 13:00 PST, Glenn Hartmann
no flags Details | Formatted Diff | Diff
Patch (52.06 KB, patch)
2013-01-22 07:41 PST, Glenn Hartmann
no flags Details | Formatted Diff | Diff
Patch (51.93 KB, patch)
2013-01-22 10:27 PST, Glenn Hartmann
no flags Details | Formatted Diff | Diff
Patch (4.20 KB, patch)
2013-01-29 07:34 PST, Glenn Hartmann
no flags Details | Formatted Diff | Diff
Patch for landing (4.20 KB, patch)
2013-01-29 08:47 PST, Glenn Hartmann
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glenn Hartmann 2013-01-21 12:52:09 PST
Don't overlap test for composited scroll DIVs
Comment 1 Glenn Hartmann 2013-01-21 13:00:58 PST
Created attachment 183824 [details]
Patch
Comment 2 vollick 2013-01-22 05:47:40 PST
I think that, at least for now, it would make sense to only call updateCompositingLayers with the new enumerant if both !hasOutOfFlowPositionedDescendant and usesCompositedScrolling. If both of these are true, we can argue that

a) Since we're using comp-scrolling, the composited region presented by the composited-scrolling element to other non-descendant layers doesn't change during composited scrolling (it's always the entire scroll layer), and

b) Since we have no out of flow positioned descendants, the scrolling descendants all move together, so their overlap with respect to each other cannot change.

So no descendants nor any non-descendants can have their overlap affected, so it's safe to skip testing.
Comment 3 Glenn Hartmann 2013-01-22 07:41:07 PST
Created attachment 183986 [details]
Patch
Comment 4 WebKit Review Bot 2013-01-22 08:48:12 PST
Comment on attachment 183986 [details]
Patch

Attachment 183986 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/16031658

New failing tests:
css3/flexbox/flexbox-overflow-auto.html
compositing/geometry/limit-layer-bounds-clipping-ancestor.html
fast/body-propagation/overflow/002-xhtml.xhtml
compositing/overflow/automatically-opt-into-composited-scrolling.html
fast/block/float/overhanging-tall-block.html
css2.1/20110323/block-non-replaced-height-016.htm
fast/body-propagation/overflow/003.html
http/tests/eventsource/eventsource-cors-with-credentials.html
compositing/overflow/overflow-scrollbar-layers.html
compositing/overflow/overflow-auto-with-touch-toggle.html
compositing/layer-creation/scroll-partial-update.html
http/tests/inspector/search/search-in-concatenated-script.html
css3/flexbox/child-overflow.html
fast/body-propagation/overflow/007-declarative.xhtml
compositing/geometry/limit-layer-bounds-transformed-overflow.html
css3/flexbox/flexbox-baseline.html
compositing/overflow/clip-content-under-overflow-controls.html
fast/body-propagation/overflow/004-declarative.xhtml
fast/body-propagation/overflow/002.html
fast/body-propagation/overflow/003-declarative.xhtml
compositing/overflow/content-gains-scrollbars.html
http/tests/inspector/search/search-in-script.html
fast/body-propagation/overflow/004-xhtml.xhtml
http/tests/inspector/compiler-source-mapping-debug.html
compositing/layer-creation/overflow-scroll-overlap.html
compositing/overflow/overflow-scroll.html
fast/body-propagation/overflow/004.html
fast/body-propagation/overflow/003-xhtml.xhtml
fast/body-propagation/overflow/007-xhtml.xhtml
http/tests/inspector/resource-tree/resource-tree-reload.html
Comment 5 Glenn Hartmann 2013-01-22 10:27:58 PST
Created attachment 184006 [details]
Patch
Comment 6 Glenn Hartmann 2013-01-29 07:34:43 PST
Created attachment 185246 [details]
Patch
Comment 7 Glenn Hartmann 2013-01-29 08:47:05 PST
Created attachment 185252 [details]
Patch for landing

Fixed typo in changelog: changed "on-descendant" to "non-descendant".
Comment 8 WebKit Review Bot 2013-01-29 09:05:52 PST
Comment on attachment 185252 [details]
Patch for landing

Clearing flags on attachment: 185252

Committed r141121: <http://trac.webkit.org/changeset/141121>
Comment 9 WebKit Review Bot 2013-01-29 09:05:57 PST
All reviewed patches have been landed.  Closing bug.